Перейти к содержанию

    

Как запустить TMDSEVM6457L на Code Composer версий от 5 и выше

Коллеги день добрый.

Мне когда-то посчастливилось поработать с модулем TMDSEVM6457L на CCSv4.2. Там все под него скачивалось, ставилось и пусть с глюками, но работало. Сейчас возникла необходимость с этой же платой поработать на более новых отладочных TI-средах, и совершенно непонятно как это сделать. Например в CCSv5, на которую мне советовали перейти еще в 2013-м, модуль вроде уже есть в Target Configurations, однако никак не могу запустить его в дебаге. Одну проблему кажется нашел - настройка проекта во вкладке General :

Выбираем C6000,

В поле Variant есть установки:

Generic devices;

TMS320C64XX;

TMS320C67XX.

При выборе TMS320C64XX доступны только модули EVMC6474 и EVMTCI6488. Настройки эмулятора (xds100v1) доступны тоже только при выборе этих 2-х модулей. Подскажите плиз, как его запустить на CCS начиная с версии 5.01, какие нужны для этого библиотеки или тулзы и где их скачать? Просто много библиотек к этой плате на сайте TI.com уже просто отсутствуют (например Chip Support Library), так как она просто снята с производства. Для CCSv4 все скачивалось с сайта Einfochips, на котором были выложены PDK под эту плату, сейчас ссылка на одну тулзу, которая вообще имеет отношение к OMAP-L138. И вроде написано, что в ней есть поддержка всех процов: C64xx, С64x+ C66xx, C66x+, в том числе C645x, однако скачал и поставил - никак не помогло. Помогите пожалуйста, кто имел дело с этой платой.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

мне в свое время помогли вот эти статьи:

http://processors.wiki.ti.com/index.php/GS...ing_projects_v5

http://processors.wiki.ti.com/index.php/GS...ing_projects_v5

 

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

 

Я это все пробовал, тем более что по аналогии с CCSv4 все вроде просто, выбрал модуль и подключил соединение, но не работает. Выдает такое сообщение:

 

Error connecting to the target:

(Error -1265 @ 0x0)

Device ID is not recognized or is not supported by driver. Confirm device and emulator configuration is correct, or update device driver.

(Emulation package 5.0.520.0)

 

Тогда как на CCSv4 дебаг запускается и работает. В чем проблема, понять не могу. У меня именно здесь затык по старту проекта на модуле на основе более новых CCS. Может сталкивался кто нибудь?

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Установил CCSv7 - под ней тоже не работает. Сообщения прежние. Железо, как я понял, точно не повреждено, потому что на CCSv4 дебаг запускается и работает. Был ли у кого подобрый опыт? Как это лечится?

Изменено пользователем transf

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

На сайте TI увидел интересную информацию:

 

Support for multiple FTDI devices (CCSv4 only)

 

на страничке про XDS100:

http://processors.wiki.ti.com/index.php/XDS100

Подскажите пожалуйста, может в этом причина? Получается, на новых CCS работа с этим модулем возможна только с внешним эмулятором? А с установленным на борту - только на CCSv4?

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Для публикации сообщений создайте учётную запись или авторизуйтесь

Вы должны быть пользователем, чтобы оставить комментарий

Создать учетную запись

Зарегистрируйте новую учётную запись в нашем сообществе. Это очень просто!

Регистрация нового пользователя

Войти

Уже есть аккаунт? Войти в систему.

Войти
Авторизация